//
//  CSFontWellViewController.swift
//  ControlSikenjo
//
//  Created by narita on 2018/12/04.
//  Copyright © 2018 narita. All rights reserved.
//

import Cocoa

class CSFontWellViewController: NSViewController
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods

    override func viewDidLoad()
    {
        super.viewDidLoad()

        // 初期値
        self.modelFont1 = NSFont.titleBarFont(ofSize: 20)
        self.modelFont2 = NSFont.controlContentFont(ofSize: 18)

        // 手動でbinding 2つとも同じモデルを参照
        
        self.fontWell1?.bind(NSBindingName(rawValue: "fontValue"),
                             to: self,
                             withKeyPath: "modelFont1",
                             options: nil)
        
        self.fontWell2?.bind(NSBindingName(rawValue: "fontValue"),
                                   to: self,
                                   withKeyPath: "modelFont1",
                                   options: nil)

        // 以下の内容でIBでbindingをやってます。2つとも同じモデルをさ参照
//        self.fontWell3?.bind(NSBindingName(rawValue: "fontValue"),
//                                   to: self,
//                                   withKeyPath: "modelFont2",
//                                   options: nil)
//
//        self.fontWell4?.bind(NSBindingName(rawValue: "fontValue"),
//                                   to: self,
//                                   withKeyPath: "modelFont2",
//                                   options: nil)

    }
    
    // MARK: - action methods

    @IBAction func fontWellAction1(_ sender: Any?)
    {
        print("fontWellAction1")
    }

    @IBAction func fontWellAction2(_ sender: Any?)
    {
        print("fontWellAction2")
    }

    @IBAction func fontWellAction3(_ sender: Any?)
    {
        print("fontWellAction3")
    }

    @IBAction func fontWellAction4(_ sender: Any?)
    {
        print("fontWellAction4")
    }

    // MARK: - event handling methods

    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    // MARK: - accessor methods (in pairs)
        
    @IBOutlet var fontWell1: MINTLFontWell? = nil
    @IBOutlet var fontWell2: MINTLFontWell? = nil
    @IBOutlet var fontWell3: MINTLFontWell? = nil
    @IBOutlet var fontWell4: MINTLFontWell? = nil

    override var representedObject: Any?
    {
        didSet
        {
            // Update the view, if already loaded.
        }
    }
    
    @objc dynamic var modelFont1: NSFont? = nil
    @objc dynamic var modelFont2: NSFont? = nil

    // MARK: - Utility methods
}
